Loading...
Searching...
No Matches
rostlab::blast::hit Struct Reference

Blast hit. More...

`#include <blast-result.h>`

## Public Member Functions

| hit (const std::string &__name="", const std::string &__desc="", size_t __length=0)
virtual | ~hit ()

## Public Attributes

std::string | name
std::string | desc
size_t | length
| Full length of subject sequence.
std::vector< hsp > | hsps

## Detailed Description

Blast hit.

A hit consists of one or more hsps.

Definition at line 140 of file blast-result.h.

## Constructor & Destructor Documentation

## hit()

rostlab::blast::hit::hit | ( | const std::string & | __name = "",
|  | const std::string & | __desc = "",
|  | size_t | __length = 0 )

inline

Definition at line 147 of file blast-result.h.

## ~hit()

virtual rostlab::blast::hit::~hit | ( |  | ) |

inline virtual

Definition at line 148 of file blast-result.h.

## Member Data Documentation

## desc

std::string rostlab::blast::hit::desc

Definition at line 142 of file blast-result.h.

## hsps

std::vector<hsp> rostlab::blast::hit::hsps

Definition at line 145 of file blast-result.h.

## length

size_t rostlab::blast::hit::length

Full length of subject sequence.

Definition at line 144 of file blast-result.h.

## name

std::string rostlab::blast::hit::name

Definition at line 141 of file blast-result.h.

The documentation for this struct was generated from the following file:

- rostlab/blast-result.h